# QLCDNumber Class Reference

### [com.trolltech.qt.gui package]

Inherits QFrame.

### Constructor

- void QLCDNumber(QWidget parent)
- void QLCDNumber(uint numDigits, QWidget parent)

### Constructor Properties

- prototype: The QLCDNumber prototype object
- Hex
- Dec
- Oct
- Bin
- Mode( value )
- Outline
- Filled
- Flat
- SegmentStyle( value )

### Prototype Object Properties

The QLCDNumber prototype object inherits properties from the QFrame prototype object and also has the following properties.

- bool checkOverflow(double num)

### Instance Properties

QLCDNumber objects inherit properties from the QLCDNumber prototype object and also have the following properties.

- smallDecimalPoint
- numDigits
- digitCount
- mode
- segmentStyle
- value
- intValue